Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class AntCompiler

    java.lang.Object
      org.apache.jasper.compiler.Compiler
          org.apache.jasper.compiler.AntCompiler

public class AntCompiler
extends Compiler

Main JSP compiler class. This class uses Ant for compiling.

Author:
  Anil K. Vijendran, Mandar Raje, Pierre Delisle, Kin-man Chung, Remy Maucherat, Mark Roth

Field Summary
`protected org.apache.jasper.compiler.AntCompiler.JasperAntLogger` | `logger`
`protected org.apache.tools.ant.Project` | `project`

Fields inherited from class org.apache.jasper.compiler.Compiler
`ctxt, errDispatcher, jsw, log, options, pageInfo, pageNodes, tfp`

Constructor Summary
`AntCompiler()`

Method Summary
`protected void` | `generateClass(java.lang.String[] smap)` Compile the servlet from .java file to .class file
`protected org.apache.tools.ant.Project` | `getProject()`

Methods inherited from class org.apache.jasper.compiler.Compiler
`compile, compile, compile, generateJava, getCompilationContext, getErrorDispatcher, getPageInfo, getPageNodes, init, isOutDated, isOutDated, removeGeneratedClassFiles, removeGeneratedFiles`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### project

    protected org.apache.tools.ant.Project project

### logger

    protected org.apache.jasper.compiler.AntCompiler.JasperAntLogger logger

Constructor Detail

### AntCompiler

    public AntCompiler()

Method Detail

### getProject

    protected org.apache.tools.ant.Project getProject()

### generateClass

    protected void generateClass(java.lang.String[] smap)
                          throws java.io.FileNotFoundException,
                                 JasperException,
                                 java.lang.Exception

  Compile the servlet from .java file to .class file

  Specified by:
    `generateClass` in class `Compiler`
  Throws:
    `java.io.FileNotFoundException`
    `JasperException`
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.